# Fail2ban::Geoip

Identify the country of origin for an IP address that got banned by fail2ban

## Installation

First, make sure that you have both `fail2ban` and a copy of the geoip database. On Debian-based distributions, this is installed by the `geoip-database` package:


    $ apt-get install fail2ban
    $ apt-get install geoip-database


Add this line to your application's Gemfile:

```ruby
gem 'fail2ban-geoip'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install fail2ban-geoip

## Usage

    $ fail2ban-geoip.rb

## Contributing

1. Fork it ( https://github.com/[my-github-username]/fail2ban-geoip/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
