# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'fail2ban/geoip/version'

Gem::Specification.new do |spec|
  spec.name          = "fail2ban-geoip"
  spec.version       = Fail2ban::Geoip::VERSION
  spec.authors       = ["Robert Jeffrey Miesen"]
  spec.email         = ["robert.miesen@gmail.com"]
  spec.summary       = %q{Identify the country of origin for an IP address that got banned by fail2ban}
  spec.description   = %q{Identify the country of origin for an IP address that got banned by fail2ban}
  spec.homepage      = "https://github.com/rmiesen/fail2ban-geoip"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 10.0"
  
  spec.add_runtime_dependency "commander", "~> 4.2", ">= 4.2.0"
  spec.add_runtime_dependency "awesome_print", "~> 1.2", ">= 1.2.0"
  spec.add_runtime_dependency "geoip", "~> 1.4", ">= 1.4.0"
  spec.add_runtime_dependency "ascii_charts", "~> 0.9", ">= 0.9.1"
end
